Error installing rubygems

CentOS 4.4 x86_64.

The error is:

[[email protected] rubygems-0.9.2]# ruby setup.rb
—> bin
<— bin
—> lib
—> lib/rbconfig
<— lib/rbconfig
—> lib/rubygems
<— lib/rubygems
<— lib
—> bin
<— bin
—> lib
—> lib/rbconfig
<— lib/rbconfig
—> lib/rubygems
<— lib/rubygems
<— lib
rm -f InstalledFiles
—> bin
mkdir -p /usr/bin/
install gemwhich /usr/bin/
install gemlock /usr/bin/
install index_gem_repository.rb /usr/bin/
install gemri /usr/bin/
install gem_mirror /usr/bin/
install gem_server /usr/bin/
install update_rubygems /usr/bin/
install gem /usr/bin/
<— bin
—> lib
mkdir -p /usr/lib64/site_ruby/1.8/
install gemconfigure.rb /usr/lib64/site_ruby/1.8/
install rubygems.rb /usr/lib64/site_ruby/1.8/
install ubygems.rb /usr/lib64/site_ruby/1.8/
—> lib/rbconfig
mkdir -p /usr/lib64/site_ruby/1.8/rbconfig
install datadir.rb /usr/lib64/site_ruby/1.8/rbconfig
<— lib/rbconfig
—> lib/rubygems
mkdir -p /usr/lib64/site_ruby/1.8/rubygems
install open-uri.rb /usr/lib64/site_ruby/1.8/rubygems
install builder.rb /usr/lib64/site_ruby/1.8/rubygems
install gem_commands.rb /usr/lib64/site_ruby/1.8/rubygems
install cmd_manager.rb /usr/lib64/site_ruby/1.8/rubygems
install source_index.rb /usr/lib64/site_ruby/1.8/rubygems
install format.rb /usr/lib64/site_ruby/1.8/rubygems
install source_info_cache_entry.rb /usr/lib64/site_ruby/1.8/rubygems
install gem_open_uri.rb /usr/lib64/site_ruby/1.8/rubygems
install doc_manager.rb /usr/lib64/site_ruby/1.8/rubygems
install dependency_list.rb /usr/lib64/site_ruby/1.8/rubygems
install package.rb /usr/lib64/site_ruby/1.8/rubygems
install installer.rb /usr/lib64/site_ruby/1.8/rubygems
install timer.rb /usr/lib64/site_ruby/1.8/rubygems
install specification.rb /usr/lib64/site_ruby/1.8/rubygems
install user_interaction.rb /usr/lib64/site_ruby/1.8/rubygems
install command.rb /usr/lib64/site_ruby/1.8/rubygems
install remote_installer.rb /usr/lib64/site_ruby/1.8/rubygems
install version.rb /usr/lib64/site_ruby/1.8/rubygems
install validator.rb /usr/lib64/site_ruby/1.8/rubygems
install gem_runner.rb /usr/lib64/site_ruby/1.8/rubygems
install source_info_cache.rb /usr/lib64/site_ruby/1.8/rubygems
install remote_fetcher.rb /usr/lib64/site_ruby/1.8/rubygems
install rubygems_version.rb /usr/lib64/site_ruby/1.8/rubygems
install old_format.rb /usr/lib64/site_ruby/1.8/rubygems
install security.rb /usr/lib64/site_ruby/1.8/rubygems
install gem_openssl.rb /usr/lib64/site_ruby/1.8/rubygems
install config_file.rb /usr/lib64/site_ruby/1.8/rubygems
install server.rb /usr/lib64/site_ruby/1.8/rubygems
install custom_require.rb /usr/lib64/site_ruby/1.8/rubygems
<— lib/rubygems
<— lib
Successfully built RubyGem
Name: sources
Version: 0.0.1
File: sources-0.0.1.gem
hook /root/rubygems-0.9.2/./post-install.rb failed:
gzip error installing sources-0.0.1.gem
Try ‘ruby setup.rb --help’ for detailed usage.
[[email protected] rubygems-0.9.2]# gem update
/usr/lib64/site_ruby/1.8/rubygems/custom_require.rb:34:in require': No such file to load -- sources (LoadError) from /usr/lib64/site_ruby/1.8/rubygems.rb:112:inmanage_gems’
from /usr/bin/gem:10

Anyone have any ideas? Is there a different ruby gem that i need for
64
bit? Its odd as it builds the gem, then can’t install it…

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs